# Packages

## Installation Packages and Jar files

|Software|Packages|
|-|-|
|Server|[RPM(CentOS 7), DEB(Ubuntu 18), RPM(openSUSE Leap 15)](https://github.com/griddb/griddb/releases/tag/v4.5.0)|
|[JDBC Driver](https://github.com/griddb/jdbc)|[Maven](https://mvnrepository.com/artifact/com.github.griddb/gridstore-jdbc/4.5.0.1)|
|Java Client|[Maven](https://mvnrepository.com/artifact/com.github.griddb/gridstore/4.5.0)|
|[C Client](https://github.com/griddb/c_client)|[RPM(CentOS 7), DEB(Ubuntu 18)](https://software.opensuse.org/download/package?project=home:knonomura&package=griddb-c-client)|
||[RPM(openSUSE Leap 15)](https://software.opensuse.org/download/package?project=home:knonomura&package=griddb-c-client-devel)|
||[MSI(Windows 10)](https://github.com/griddb/c_client/releases/tag/v4.5.0)|
||[Homebrew Tap(MacOS)](https://github.com/griddb/homebrew-griddb-c-client)|
|[Python Client](https://github.com/griddb/python_client)|[WHL(CentOS 7, Ubuntu 18), WHL(MacOS)](https://pypi.org/project/griddb-python/)|
||[MSI(Windows 10)](https://github.com/griddb/python_client/releases/tag/0.8.3)|
|[Node.JS Client](https://github.com/griddb/nodejs_client)|[npm(CentOS 7, Ubuntu 18)](https://www.npmjs.com/package/griddb_node)|
|[PHP Client](https://github.com/griddb/php_client)|[Packagist(CentOS 7)](https://packagist.org/packages/griddb/php-client)|
|[WebAPI](https://github.com/griddb/webapi)|[Jar](https://github.com/griddb/webapi/releases/tag/2.2.0)|
|[CLI](https://github.com/griddb/cli)|[RPM(CentOS 7), DEB(Ubuntu 18), RPM(openSUSE Leap 15)](https://github.com/griddb/cli/releases/tag/v4.6.0)|

## Docker Images in GitHub Packages

Please refer to [GitHub Packages](https://github.com/knonomura/griddb-docker/packages) and [Dockerfile samples](https://github.com/knonomura/griddb-docker) .


|IMAGE|Description|
|-|-|
|griddb| Install and start GridDB V4.5CE server for CentOS|
|griddb-bionic| Install and start GridDB V4.5CE server for Ubuntu:bionic|
|griddb-opensuse-15| Install and start GridDB V4.5CE server for openSUSE leap 15|
|python-db-api| Install GridDB JDBC, JayDeBeApi(DB-API) for Java and Python env.|
|webapi| Install and start GridDB WebAPI daemon|
|java-client| Install GridDB Java client and build, run a sample program|
|c-client| Install GridDB C client and build, run a sample program|
|python-client| Install GridDB Python client and run a sample program|
|nodejs-client| Install GridDB Node.JS client and run a sample program|
|go-client| Install GridDB Go client and run a sample program|
|php-client| Install GridDB PHP client and run a sample program|
|griddb-nosql| Install and start GridDB NoSQL server (V4.3CE)|
